import { Alert } from './notify-alert.interface';
import { AlertType } from './notify-alert.type';
import { Observable, BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NotifyService {
    subject: BehaviorSubject<Alert>;
    toast$: Observable<Alert>;
    constructor();
    show(type: AlertType, body?: string, delay?: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotifyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotifyService>;
}
